summaryrefslogtreecommitdiff
path: root/upgrade.sh
diff options
context:
space:
mode:
authorChristian Pointner <equinox@spreadspace.org>2017-11-21 22:28:39 +0100
committerChristian Pointner <equinox@spreadspace.org>2017-11-21 22:28:39 +0100
commit91cd5480b5a1ca1103d5e239af3d331477c41c2c (patch)
treeb495bf31e2d5da50b045838a1e8d0455db09ee65 /upgrade.sh
initial commit as copy from helsinki ansible repo
Diffstat (limited to 'upgrade.sh')
-rwxr-xr-xupgrade.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/upgrade.sh b/upgrade.sh
new file mode 100755
index 00000000..aa5e693c
--- /dev/null
+++ b/upgrade.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+if [ -z "$1" ]; then
+ echo "$0 <host(s)>"
+ exit 1
+fi
+
+host="$1"
+shift
+
+echo "######## upgrading host(s) '$host' ########"
+exec ansible-playbook -e "myname=$host" -e "myrole=upgrade" $@ generic.yaml